TESTING/LIN/drzt01.f(3)

NAME
TESTING/LIN/drzt01.f

SYNOPSIS

  Functions/Subroutines
double precision function drzt01 (m, n, a, af, lda, tau, work, lwork)
DRZT01

Function/Subroutine Documentation

  double precision function drzt01 (integer m, integer n, double precision, dimension( lda, * ) a, double precision, dimension( lda, * ) af, integer lda, double precision, dimension( * ) tau, double precision, dimension( lwork ) work, integer lwork)

DRZT01

Purpose:

    !>
    !> DRZT01 returns
    !>      || A - R*Q || / ( M * eps * ||A|| )
    !> for an upper trapezoidal A that was factored with DTZRZF.
    !>

Parameters
    M

    !>          M is INTEGER
    !>          The number of rows of the matrices A and AF.
    !>

    N

    !>          N is INTEGER
    !>          The number of columns of the matrices A and AF.
    !>

    A

    !>          A is DOUBLE PRECISION array, dimension (LDA,N)
    !>          The original upper trapezoidal M by N matrix A.
    !>

    AF

    !>          AF is DOUBLE PRECISION array, dimension (LDA,N)
    !>          The output of DTZRZF for input matrix A.
    !>          The lower triangle is not referenced.
    !>

    LDA

    !>          LDA is INTEGER
    !>          The leading dimension of the arrays A and AF.
    !>

    TAU

    !>          TAU is DOUBLE PRECISION array, dimension (M)
    !>          Details of the Householder transformations as returned by
    !>          DTZRZF.
    !>

    WORK

    !>          WORK is DOUBLE PRECISION array, dimension (LWORK)
    !>

    LWORK

    !>          LWORK is INTEGER
    !>          The length of the array WORK.  LWORK >= m*n + m*nb.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 96 of file drzt01.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.